Print composer: change in page size should trigger an update of the placement of all items

2017-03-29 02:30 AM - Andreas Neumann

Status: Closed

Priority: Normal

Assignee: Nyall Dawson

Category: Map Composer/Printing

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 24299

Description

Currently, when changing a page size, and one uses variables like @layout_pageheight for dynamic placement/sizing of objects in the

print composer, one has to manually press the "Refresh view" button for the dynamic objects to resize/reposition.

It would be better, if a change in page size would automatically trigger the "refresh view" behaviour.

According to Nyall, this could also be backported to master 2 (2.18x).

Associated revisions

Revision 599db1b7 - 2017-05-24 10:15 AM - Nyall Dawson

[composer] Refresh data defined properties after page size changes

Fix #16390

Revision fb7c2cc0 - 2017-06-02 05:46 AM - Nyall Dawson

[composer] Refresh data defined properties after page size changes

Fix #16390

(cherry-picked from 599db1)

History

#1 - 2017-05-01 01:01 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#2 - 2017-05-24 11:44 PM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|599db1b7fdea4333695f54da0d551a57af6890db.
